Transfer (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net
Class Transfer

    java.lang.Object
      net.sf.jftp.net.Transfer

Direct Known Subclasses:
  FtpTransfer, HttpTransfer

    public abstract class Transfer

extends java.lang.Object

The basic Transfer interface. You probably don't have to use it directly.

Field Summary
`static java.lang.String` | `DOWNLOAD`
`boolean` | `pause`
`static java.lang.String` | `PAUSED`
`static java.lang.String` | `QUEUED`
`static java.lang.String` | `REMOVED`
`static java.lang.String` | `UPLOAD`
`boolean` | `work`

Constructor Summary
`Transfer()`

Method Summary
`abstract DataConnection` | `getDataConnection()`
`abstract FtpConnection` | `getFtpConnection()`
`abstract int` | `getStatus()`
`abstract boolean` | `hasStarted()`
`abstract void` | `prepare()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAUSED

    public static final java.lang.String PAUSED

See Also:
  Constant Field Values

### QUEUED

    public static final java.lang.String QUEUED

See Also:
  Constant Field Values

### REMOVED

    public static final java.lang.String REMOVED

See Also:
  Constant Field Values

### UPLOAD

    public static final java.lang.String UPLOAD

See Also:
  Constant Field Values

### DOWNLOAD

    public static final java.lang.String DOWNLOAD

See Also:
  Constant Field Values

### work

    public boolean work

### pause

    public boolean pause

Constructor Detail

### Transfer

    public Transfer()

Method Detail

### prepare

    public abstract void prepare()

### getStatus

    public abstract int getStatus()

### hasStarted

    public abstract boolean hasStarted()

### getFtpConnection

    public abstract FtpConnection getFtpConnection()

### getDataConnection

    public abstract DataConnection getDataConnection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD